summaryrefslogtreecommitdiff
path: root/dev-ruby/msgpack/msgpack-1.3.1.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-ruby/msgpack/msgpack-1.3.1.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadsrcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
srcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
srcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/msgpack/msgpack-1.3.1.ebuild')
-rw-r--r--dev-ruby/msgpack/msgpack-1.3.1.ebuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/dev-ruby/msgpack/msgpack-1.3.1.ebuild b/dev-ruby/msgpack/msgpack-1.3.1.ebuild
new file mode 100644
index 000000000000..2c3dd30da97d
--- /dev/null
+++ b/dev-ruby/msgpack/msgpack-1.3.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="README.rdoc"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="Binary-based efficient data interchange format for ruby binding"
+HOMEPAGE="https://msgpack.org/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
+IUSE="doc"
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/I s:^:#:' Rakefile || die
+
+ # Remove jruby-specific specs that are run also for other rubies.
+ rm -rf spec/jruby || die
+
+ sed -i -e '/git ls-files/d' msgpack.gemspec || die
+}
+
+each_ruby_configure() {
+ ${RUBY} -Cext/${PN} extconf.rb || die "Configuration of extension failed."
+
+ # rb_num2int is not inlined on 32 bit arches but also not explicitly
+ # defined, bug 582968
+ sed -i -e 's:-Wl,--no-undefined::' ext/${PN}/Makefile || die
+}
+
+each_ruby_compile() {
+ emake V=1 -Cext/${PN}
+ cp ext/${PN}/msgpack$(get_modname) lib/${PN} || die "Unable to install msgpack library."
+}